### Method

# WebKit2 URISchemeResponse set_status

#### Declaration [src]

    void
    webkit_uri_scheme_response_set_status (
      WebKitURISchemeResponse* response,
      guint status_code,
      const gchar* reason_phrase
    )

#### Description [src]

Sets the status code and reason phrase for the `response`.

If `status_code` is a known value and `reason_phrase` is `NULL`, the `reason_phrase` will be set automatically.

Available since: | 2.36

#### Parameters

`status_code` | `guint`
| The HTTP status code to be returned.
`reason_phrase` | `const gchar*`
| A reason phrase.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.